> ## Documentation Index
> Fetch the complete documentation index at: https://leadping.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Uploads media for a subsequent MMS send.



## OpenAPI

````yaml /openapi.json post /sms/media
openapi: 3.0.4
info:
  title: Leadping API
  description: >-
    Leadping API for lead intake, messaging, calling, automations, billing,
    business settings, and compliant lead communication workflows.
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
  version: v1
servers:
  - url: https://api.leadping.ai
    description: Production
security: []
tags:
  - name: Analytics
  - name: Automations
  - name: Contact
  - name: Conversations
  - name: Dispositions
  - name: Feedback
  - name: Leads
  - name: LeadStatuses
  - name: Notifications
  - name: OutboundDelivery
  - name: Sources
  - name: Suppressions
  - name: Tags
  - name: Users
  - name: Calls
  - name: PhoneNumbers
  - name: Sms
  - name: Telephony
  - name: UserDataExports
  - name: CallEvents
  - name: Events
  - name: SmsEvents
  - name: Businesses
  - name: PaymentMethods
  - name: Transactions
  - name: Usage
  - name: Wallets
paths:
  /sms/media:
    post:
      tags:
        - Sms
      summary: Uploads media for a subsequent MMS send.
      operationId: Sms_UploadMedia
      requestBody:
        content:
          application/x-www-form-urlencoded:
            schema:
              type: object
              properties:
                ContentType:
                  type: string
                ContentDisposition:
                  type: string
                Headers:
                  type: object
                  additionalProperties:
                    type: array
                    items:
                      type: string
                Length:
                  pattern: ^-?(?:0|[1-9]\d*)$
                  format: int64
                Name:
                  type: string
                FileName:
                  type: string
        required: true
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                allOf:
                  - $ref: '#/components/schemas/MessageMediaAttachment'
                description: Media attached to an SMS/MMS conversation event.
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/MessageMediaAttachment'
                description: Media attached to an SMS/MMS conversation event.
            text/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/MessageMediaAttachment'
                description: Media attached to an SMS/MMS conversation event.
        '400':
          description: Bad Request
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    MessageMediaAttachment:
      type: object
      properties:
        url:
          type: string
          description: URL from which the media attachment can be retrieved.
        contentType:
          type: string
          description: MIME content type of the media attachment.
          nullable: true
        size:
          pattern: ^-?(?:0|[1-9]\d*)$
          description: Size of the media attachment in bytes.
          format: int64
        sha256:
          type: string
          description: SHA-256 digest of the media content, when available.
          nullable: true
        fileName:
          type: string
          description: Original file name of the media attachment, when available.
          nullable: true
      description: Media attached to an SMS/MMS conversation event.
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          description: URI reference that identifies the problem type.
          nullable: true
        title:
          type: string
          description: Short, human-readable summary of the problem.
          nullable: true
        status:
          pattern: ^-?(?:0|[1-9]\d*)$
          description: HTTP status code returned for the problem.
          format: int32
        detail:
          type: string
          description: >-
            Human-readable explanation specific to this occurrence of the
            problem.
          nullable: true
        instance:
          type: string
          description: >-
            URI reference that identifies this specific occurrence of the
            problem.
          nullable: true

````